%define        majver %(echo %version | cut -d. -f1)
%define        minver %(echo %version | cut -d. -f2)
Name:          adodb
Version:       5.20.20
Release:       1mamba
Summary:       Active Data Objects Data Base PHP standard class library
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:	       https://adodb.org/dokuwiki/doku.php
Source:        https://github.com/ADOdb/ADOdb.git/v%{version}/ADOdb-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/adodb/adodb%{majver}%{minver}.tgz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      php
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PHP is a wonderful language for building dynamic web pages. Unfortunately, PHP's database access functions are not standardised. Every database extension uses a different and incompatibile API. This creates a need for a database class library to hide the differences between the different databases (encapsulate the differences) so we can easily switch databases. 
ADOdb stands for Active Data Objects Data Base.
We currently support MySQL, PostgreSQL, Interbase, Informix, Oracle, MS SQL 7, Foxpro, Access, ADO, SAP DB, SQLite, Sybase, DB2 and generic ODBC. The Sybase, Informix and PostgreSQL drivers are community contributions. We hope more people will contribute drivers to support more databases.

%prep
%setup -q -n ADOdb-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
mkdir -p %{buildroot}/var/www/html/adodb
cp -r * %{buildroot}/var/www/html/adodb/
touch %{buildroot}/var/www/html/adodb/index.html

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_localstatedir}/www/html/adodb
%{_localstatedir}/www/html/adodb/*

%changelog
* Thu Feb 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.20.20-1mamba
- update to 5.20.20

* Sat Feb 19 2011 Automatic Build System <autodist@mambasoft.it> 5.09a-1mamba
- update to 5.09a

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.05-1mamba
- update to 5.05


* Fri Jun 22 2007 Tiziana Ferro <tiziana.ferro@email.it> 4.95a-1mamba
- update to 4.95a

* Fri Jun 04 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.22-1qilnx
- first build
